Name:		unclutter
Version:	0.8
Release:	%mkrel 2
Summary:	Hides the mouse cursor when idle
Url:		http://www.google.com/search?q=unclutter
Source:		ftp://ftp.x.org/contrib/utilities/unclutter-8.tar.bz2
License:	Public Domain
Group:		System/X11
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	X11-devel imake
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1

%description
Unclutter is a program which runs permanently in the background of an X11
session.  It checks on the X11 pointer (cursor) position every few seconds, and
when it finds it has not moved (and no buttons are pressed on the mouse, and
the cursor is not in the root window) it creates a small sub-window as a child
of the window the cursor is in.  The new window installs a cursor of size 1x1
but a mask of all 0, ie an invisible cursor.  This allows you to see all the
text in an xterm or xedit, for example.  The human factors crowd would agree it
should make things less distracting.

#german
%description -l de
Anordnen ist ein Programm, das permanent im Hintergrund läuft ein X11 
Sitzung. Es wird geprüft, auf der X11-Zeiger (Cursor) Position alle paar Sekunden und 
wenn er sie findet sich nicht bewegt hat (und keine Taste auf der Maus gedrückt und 
sich der Cursor nicht im Hauptfenster) schafft eine kleine Unter-Fenster, wie ein Kind 
aus dem Fenster der Cursor auf das neue Fenster installiert einen Cursor von der Größe 1x1 
aber eine Maske von allen 0, dh eine unsichtbare Cursor. Dies erlaubt es Ihnen, um alle 
Text in einem xterm oder xedit, zum Beispiel. Der menschliche Faktoren Menge würde zustimmen, dass es 
sollte die Dinge weniger störend.

#french
%description -l fr
Unclutter est un programme qui tourne en permanence en arrière-plan d'une X11 
session. Il vérifie sur le pointeur X11 (curseur) position toutes les quelques secondes, et 
quand il estime qu'il n'a pas bougé (et pas de boutons sont pressés sur la souris, et 
le curseur n'est pas dans la fenêtre root), il crée un petit sous-fenêtre comme un enfant 
de la fenêtre se trouve le curseur po La nouvelle fenêtre installe un curseur de taille 1x1 
mais un masque de tous 0, soit un curseur invisible. Cela vous permet de voir tous les 
texte dans un xterm ou xedit, par exemple. Les facteurs humains foule ne serait-il d'accord 
devrait rendre les choses moins distrayant.

#spanish
%description -l es
Unclutter es un programa que se ejecuta de manera permanente en el contexto de una X11 
período de sesiones. Verifica en el puntero de X11 (cursor) la posición cada pocos segundos, y el 
cuando la encuentra no se ha movido (y no se pulsan los botones del ratón, y 
el cursor no está en la ventana raíz) crea una pequeña sub-ventana como un niño 
de la ventana del cursor que se encuentra la nueva ventana se instala un cursor de tamaño 1x1 
sino una máscara de todos los 0, es decir, un cursor invisible. Esto le permite ver todos los 
texto en un xterm o xedit, por ejemplo. La multitud de factores humanos, estaría de acuerdo en que 
deben hacer las cosas menos distracción.

#polish
%description -l pl
Porozrzucane to program, który pracuje na stałe w tle X11 
sesji. Sprawdza na X11 wskaźnika (kursora) pozycji, co kilka sekund, a 
jeżeli uzna, że nie została przeniesiona (i żaden przycisk na myszy i 
kursor nie znajduje się w głównym oknie) tworzy małą pod oknem jak dziecko 
okna kursor in new window instaluje kursora o rozmiarze 1x1 
ale maski wszystkie 0, czyli niewidzialny kursor. Pozwala to zobaczyć wszystkie 
tekstu w xterm lub xedit, na przykład. Tłum ludzi czynniki zgodzi to 
Należy dokonać rzeczy mniej rozpraszające.

#serbian
%description -l sr
Унцлуттер је програм који стално ради у позадини Икс11 
седници. Проверава на Икс11 показивач (курсор) положај сваких неколико секунди, а 
када се сматра да је није преселио (и не се притисне на дугме миша, и 
се курсор не налази у основном прозору) ствара мали под-мени као дете 
на прозору којем се налази курсор у. новом прозору инсталира курсор величине 1кс1 
али све маске 0, односно невидљиви курсор. Ово вам омогућава да видите све 
текст у Уиндоуса или кседит, на пример. Људског фактора, гомила би га се слажу 
треба да мање ствари одвлаче пажњу.

#dutch
%description -l nl
Ordenen is een programma dat permanent draait in de achtergrond van een X11 
sessie. Het controleert op de X11-aanwijzer (cursor) positie om de paar seconden, en 
wanneer zij van oordeel is het niet verplaatst (en geen knoppen zijn ingedrukt op de muis, en 
de cursor is niet in de root venster) creëert een kleine sub-venster als een kind 
van het venster de cursor zich bevindt Het nieuwe venster installeert een cursor van grootte 1x1 
maar een masker van alle 0, dwz een onzichtbare cursor. Hiermee kunt u zien dat alle 
tekst in een xterm of xedit, bijvoorbeeld. De menselijke factoren menigte zou het eens 
moeten maken het wat minder storend.

%prep
%setup -n unclutter


%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS"


%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
install -s unclutter $RPM_BUILD_ROOT/%_bindir/unclutter

mkdir -p $RPM_BUILD_ROOT/%_mandir/man6
install unclutter.man $RPM_BUILD_ROOT/%_mandir/man6/unclutter.6

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/autostart
cat > $RPM_BUILD_ROOT%{_datadir}/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=unclutter
Icon=mouse.png
MiniIcon=mouse.png
Comment=Make the cursor blank
Terminal=0
Name=Unclutter
Categories=Qt;KDE;X-Mandrivalinux-.hidden;
X-KDE-autostart-after=kdesktop
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%files
%attr(-,root,root) %doc README
%attr(755,root,root) %_bindir/unclutter
%attr(644,root,root) %_mandir/man6/unclutter.6*
%{_datadir}/autostart/%{name}.desktop

%changelog
* Mon Oct 05 2009 Neal <nealbrks0@gmail.com> 0.8-2pclos2010
- gcc update

* Thu Oct 11 2007 Texstar <texstar@gmail.com> 0.8-1pclos2007
- import into pclos 2007 from Michael Scherer
- Add autostart desktop file for KDE
